/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TsafeterminalPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "TERMINALCODE")
    private String terminalcode;
    @Basic(optional = false)
    @Column(name = "COMPANYCODE")
    private long companycode;

    public TsafeterminalPK() {
    }

    public TsafeterminalPK(String terminalcode, long companycode) {
        this.terminalcode = terminalcode;
        this.companycode = companycode;
    }

    public String getTerminalcode() {
        return terminalcode;
    }

    public void setTerminalcode(String terminalcode) {
        this.terminalcode = terminalcode;
    }

    public long getCompanycode() {
        return companycode;
    }

    public void setCompanycode(long companycode) {
        this.companycode = companycode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (terminalcode != null ? terminalcode.hashCode() : 0);
        hash += (int) companycode;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TsafeterminalPK)) {
            return false;
        }
        TsafeterminalPK other = (TsafeterminalPK) object;
        if ((this.terminalcode == null && other.terminalcode != null) || (this.terminalcode != null && !this.terminalcode.equals(other.terminalcode))) {
            return false;
        }
        if (this.companycode != other.companycode) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TsafeterminalPK[ terminalcode=" + terminalcode + ", companycode=" + companycode + " ]";
    }
    
}
